Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

System Templates

List System Templates

get

Retrieves a paginated list of system templates. In the Patchworks dashboard, a system is known as a connector.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Query parameters
filter[name]stringOptional

Filter results by name.

filter[hidden_from_marketplace]stringOptional

Filter results by hidden_from_marketplace.

filter[visible_for_marketplace]stringOptional

Filter results by visible_for_marketplace.

filter[system_type_id]integer[]Optional

Filter results by system_type_id.

filter[id]integer[]Optional

Filter results by id.

filter[private]stringOptional

Filter results by private.

filter[visibility]stringOptional

Filter results by visibility.

filter[platformApp]stringOptional

Filter results by platformApp.

filter[forPlatformApp]stringOptional

Filter results by forPlatformApp.

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
200

Successful response

application/json
get/api/v1/patchworks/system-templates
GET /api/v1/patchworks/system-templates HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "id": 1,
      "created_at": "2025-01-15T10:30:00.000000Z",
      "updated_at": "2025-01-15T10:30:00.000000Z"
    }
  ],
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "https://api.example.com/api/v1/patchworks/system-templates",
    "per_page": 25,
    "to": 1,
    "total": 1
  },
  "links": {
    "first": "https://api.example.com/api/v1/patchworks/system-templates?page=1",
    "last": "https://api.example.com/api/v1/patchworks/system-templates?page=1",
    "prev": null,
    "next": null
  }
}

Create System Template

post

Creates a new system template. In the Patchworks dashboard, a system is known as a connector.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Body
labelstringRequired
colourstring · enumRequiredPossible values:
logo_urlstring · uriRequired
versionintegerRequired
version_namestringRequired
rate_limit_unitstring · enumRequiredPossible values:
rate_limit_durationintegerRequired
system_type_idstringRequired
protocolstring · enumRequiredPossible values:
company_idstringRequired
date_formatstringRequired
help_linkstring · nullableOptional
namestringRequired
Responses
200

Successful response

application/json
post/api/v1/patchworks/system-templates
POST /api/v1/patchworks/system-templates HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 310

{
  "label": "My Label",
  "colour": "blue",
  "logo_url": "https://example.com",
  "version": 1,
  "version_name": "example_version_name",
  "rate_limit_unit": "second",
  "rate_limit_duration": 1,
  "system_type_id": 1,
  "protocol": "HTTP",
  "company_id": 1,
  "date_format": "example_date_format",
  "help_link": "example_help_link",
  "name": "My Example"
}
{
  "data": {
    "id": 1,
    "created_at": "2025-01-15T10:30:00.000000Z",
    "updated_at": "2025-01-15T10:30:00.000000Z"
  }
}

Update System Template

put

Updates an existing system template. In the Patchworks dashboard, a system is known as a connector.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
system_templatestringRequired

The system template identifier.

Body
labelstringOptional
colourstring · enumOptionalPossible values:
logo_urlstring · uriOptional
versionintegerOptional
version_namestringOptional
rate_limit_unitstring · enumOptionalPossible values:
rate_limit_durationintegerOptional
system_type_idstringOptional
protocolstring · enumOptionalPossible values:
company_idstringOptional
date_formatstringOptional
help_linkstring · nullableOptional
namestringOptional
Responses
200

Successful response

application/json
put/api/v1/patchworks/system-templates/{system_template}
PUT /api/v1/patchworks/system-templates/{system_template} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 310

{
  "label": "My Label",
  "colour": "blue",
  "logo_url": "https://example.com",
  "version": 1,
  "version_name": "example_version_name",
  "rate_limit_unit": "second",
  "rate_limit_duration": 1,
  "system_type_id": 1,
  "protocol": "HTTP",
  "company_id": 1,
  "date_format": "example_date_format",
  "help_link": "example_help_link",
  "name": "My Example"
}
{
  "data": {
    "id": 1,
    "created_at": "2025-01-15T10:30:00.000000Z",
    "updated_at": "2025-01-15T10:30:00.000000Z"
  }
}

Delete System Template

delete

Permanently deletes a specific system template. In the Patchworks dashboard, a system is known as a connector.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
system_templatestringRequired

The system template identifier.

Responses
200

Successful response

application/json
messagestringOptional
delete/api/v1/patchworks/system-templates/{system_template}
DELETE /api/v1/patchworks/system-templates/{system_template} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "message": "Action completed successfully."
}

Install System Template

post

Installs a specific system template into the current company.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
systemTemplatestringRequired

The systemTemplate identifier.

Body
overwritestringOptional
system_idintegerOptional
platform_app_keystringOptional
Responses
200

Successful response

application/json
objectOptional
post/api/v1/system-templates/{systemTemplate}
POST /api/v1/system-templates/{systemTemplate} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 93

{
  "overwrite": "example_overwrite",
  "system_id": 1,
  "platform_app_key": "example_platform_app_key"
}
{}

Last updated

Was this helpful?